// 开发环境接口配置
// JAVA Boot版本对应后端接口地址
// JAVA Cloud对应网关地址
// const APIURl = 'http://192.168.0.103:8181'
const APIURl = 'https://windata.platomix.net/api'
const WLAPIURl = 'http://flow.teplot.com/paas' // 文领本地
const CSAPIURl = 'https://windata.platomix.net/visual-api/' //工作流
const FlowAPIURl = 'https://windata.platomix.net/flow-api/' //工作流
const BIAPIURl = 'https://windata.platomix.net/bi-api/' //BI

module.exports = {
  APIURl: APIURl,
  WLAPIURl:WLAPIURl,
  CSAPIURl:CSAPIURl,
  BIAPIURl:BIAPIURl,
  FlowAPIURl:FlowAPIURl,
  HashUrl:process.env.NODE_ENV  === 'development' ? 'http://localhost:1889/#/' : 'http://windatawk.platomix.net/#/',
  timeout: process.env.NODE_ENV === 'development' ? 10000 : 1000000,
  // WebSocketUrl: process.env.NODE_ENV === 'development' ? APIURl.replace('http', 'ws') + '/api/message/websocket' : process.env.VUE_APP_BASE_WSS,
  comUploadUrl: process.env.NODE_ENV === 'development' ? APIURl + '/file/uploadFile' : process.env.VUE_APP_BASE_API +'/api/file/uploadFile',
  comUrl: process.env.NODE_ENV === 'development' ? 'https://windata.platomix.net/' : process.env.VUE_APP_BASE_API,
  // 本地文件预览
  filePreviewServer: process.env.NODE_ENV === 'development' ? 'http://116.196.94.12:30090' : process.env.VUE_APP_BASE_API + '/FileServer',
  // 大屏应用前端路径
  dataV: process.env.NODE_ENV === 'development' ? 'http://116.196.94.12:8100/DataV' : process.env.VUE_APP_BASE_API + '/DataV',
  // 数据报表接口-java boot
  reportServer: process.env.NODE_ENV === 'development' ? 'http://116.196.94.12:30007' : process.env.VUE_APP_BASE_API + '/ReportServer',
  // 数据报表接口-java cloud
  // reportServer: process.env.NODE_ENV === 'development' ? 'http://localhost:30000' : process.env.VUE_APP_BASE_API,
  // 报表前端
  report: process.env.NODE_ENV === 'development' ? 'http://116.196.94.12:8200' : process.env.VUE_APP_BASE_API + '/Report',
  version: '9.99'
}
