import request from '@/utils/request'
const api = 'bi-api'
export const appSave = data => request.post(api + '/microApp/submit', data);
export const appList = params => request.get(api + '/microApp/list', { params });
export const appDel = params => request.post(api + '/microApp/delete', {}, { params });
export const appDetail = params => request.get(api + '/microApp/info', { params });
export const menuSave = data => request.post(api + '/microAppMenu/submit', data);
export const menuList = params => request.get(api + '/microAppMenu/list', { params });
export const menuDel = params => request.post(api + '/microAppMenu/delete', {}, { params });
export const menuSaveBatch = data => request.post(api + '/microAppMenu/batchUpdate', data);
export const roleList = params => request.get(api + '/microAppRole/list', { params });
export const roleSave = data => request.post(api + '/microAppRole/submit', data);
export const roleTree = params => request.get('/api/blade-system/role/tree-by-id', { params });
export const userInfo = params => request.get('/api/blade-token/userInfo', { params });
export const sort = params => request.post(api + '/microApp/adjustOrder', {}, { params });
